## Python DevTools Boilerplate

Introducing the Python DevTools Boilerplate, an advanced and feature-rich project template tailored for Python developers. This boilerplate is designed to help you kick-start your Python projects with the best development tools and configurations, giving you a solid foundation for efficient and streamlined development. The boilerplate includes:

- Poetry for dependency management
- Flake8 for linting
- Black for code formatting
- Mypy for static type checking
- pytest for testing
- hupper for monitoring python files

### Getting Started

To get started, simply clone the repository and install the dependencies:

```
git clone https://github.com/shahzayb/python-devtools-boilerplate.git
cd python-devtools-boilerplate
poetry install
```

Once the dependencies are installed, you can start developing your project.

To start the project in watch mode, run:

```
make watch
```

To run the tests, run:

```
make test
```

To lint your code, run:

```
make lint
```

To format your code, run:

```
make format
```

To run static type checking, run:

```
make mypy
```

I hope this boilerplate helps you get started with your Python development projects!

### Contributing

If you have any suggestions for improvements, please feel free to open an issue or submit a pull request.

### License

This project is licensed under the MIT License.
